curl --request POST \
--url https://api.journeybee.io/v1/pricing-calculators/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"display_settings": {},
"submission_mode": "disabled",
"description": "<string>",
"currency_uuid": "<string>",
"partner_type_referral": true,
"partner_type_reseller": true,
"partner_type_distributor": true,
"available_on_leads": true,
"required_on_leads": true,
"available_on_deals": true,
"required_on_deals": true
}
'import requests
url = "https://api.journeybee.io/v1/pricing-calculators/"
payload = {
"name": "<string>",
"display_settings": {},
"submission_mode": "disabled",
"description": "<string>",
"currency_uuid": "<string>",
"partner_type_referral": True,
"partner_type_reseller": True,
"partner_type_distributor": True,
"available_on_leads": True,
"required_on_leads": True,
"available_on_deals": True,
"required_on_deals": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
display_settings: {},
submission_mode: 'disabled',
description: '<string>',
currency_uuid: '<string>',
partner_type_referral: true,
partner_type_reseller: true,
partner_type_distributor: true,
available_on_leads: true,
required_on_leads: true,
available_on_deals: true,
required_on_deals: true
})
};
fetch('https://api.journeybee.io/v1/pricing-calculators/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"name": "<string>",
"description": "<string>",
"status": "draft",
"submission_mode": "disabled",
"display_settings": {
"showProductBreakdown": true,
"showDiscounts": true,
"showRecurringTotal": true,
"submitButtonText": "<string>",
"successMessage": "<string>",
"billingMode": "single",
"billingPeriods": [
"monthly"
],
"defaultBillingPeriod": "monthly",
"periodDiscounts": {}
},
"partner_type_referral": true,
"partner_type_reseller": true,
"partner_type_distributor": true,
"available_on_leads": true,
"required_on_leads": true,
"available_on_deals": true,
"required_on_deals": true,
"currency": {
"uuid": "<string>",
"code": "<string>",
"label": "<string>"
},
"fields_count": 123,
"products_count": 123,
"created_at": "<string>",
"updated_at": "<string>",
"fields": [
{
"uuid": "<string>",
"label": "<string>",
"field_type": "number",
"variable_name": "<string>",
"required": true,
"sort_order": 123,
"field_config": {
"min": 123,
"max": 123,
"step": 123,
"default": 123,
"options": [
{
"value": "<string>",
"label": "<string>",
"priceModifier": 123
}
],
"defaultChecked": true
},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"products": [
{
"uuid": "<string>",
"sort_order": 123,
"quantity_type": "fixed",
"quantity_fixed": 123,
"quantity_variable_name": "<string>",
"quantity_condition": "<string>",
"quantity_if_true": 123,
"quantity_if_false": 123,
"price_override": 123,
"is_optional": true,
"is_included_by_default": true,
"quantity_editable": true,
"anchor_field_id": 123,
"product": {
"uuid": "<string>",
"name": "<string>",
"sku": "<string>",
"price": 123,
"billing_type": "one_time",
"billing_period": "monthly",
"currency_code": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"formulas": [
{
"uuid": "<string>",
"formula_type": "discount",
"name": "<string>",
"condition": "<string>",
"calculation_type": "fixed",
"value": 123,
"formula_config": {
"version": 2,
"condition": {
"kind": "comparison",
"variable_name": "<string>",
"operator": ">=",
"value": "<string>"
},
"eligibility_condition": {
"kind": "comparison",
"variable_name": "<string>",
"operator": ">=",
"value": "<string>"
},
"when_true": {
"mode": "flat",
"amount": 500000000
},
"when_false": {
"mode": "flat",
"amount": 500000000
},
"no_charge_when_zero": true,
"quantity_ranges": {
"variable_name": "<string>",
"ranges": [
{
"lower": 123,
"upper": 123,
"amount": 500000000
}
]
},
"presentation": {
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_label": "<string>",
"visibility": "visible",
"sort_order": 0,
"target_product_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"billing_type": "one_time",
"percentage_base": "subtotal",
"selected_product_uuid": "<string>",
"selected_sources": [
{
"kind": "product",
"pricing_calculator_product_uuid": "<string>"
}
],
"sort_order": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}Create a pricing calculator
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Body
Calculator name
Display and billing configuration for the pricing calculator.
Show child attributes
Show child attributes
disabled, lead_only, lead_with_products, lead_with_quote Calculator description
Visible to referral partners
Visible to reseller partners
Visible to distributor partners
Partners may quote from this calculator when creating a lead
Partners must supply a quote from an available calculator to create a lead. Implies available_on_leads.
Partners may quote from this calculator when creating a deal
Partners must supply a quote from an available calculator to create a deal. Implies available_on_deals.
Response
Default Response
draft, live, archived disabled, lead_only, lead_with_products, lead_with_quote Display and billing configuration for the pricing calculator.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes